<?php
if (!defined('IN_CONTEXT')) die('access violation error!');

?>
<div class="content_toolbar">
	<table cellspacing="0" class="wrap_table">
		<tbody>
			<tr>
				<td><div class="title"><?php _e('Upload Language File'); ?></div></td>
				<td><a href="<?php echo Html::uriquery('mod_lang', 'admin_list'); ?>" title=""><?php _e('Back'); ?></a></td>
			</tr>
		</tbody>
	</table>
</div>
<div class="space"></div>
<?php
$admin_addlang_form = new Form('index.php', 'adminaddlangform', 'check_lang_info');
$admin_addlang_form->setEncType('multipart/form-data');
$admin_addlang_form->p_open('mod_lang', 'admin_create');
?>
<table id="adminaddlangform_table" class="form_table" cellspacing="0">
    <tfoot>
        <tr>
            <td colspan="2">
            <?php
            echo Html::input('reset', 'reset', __('Reset'));
            echo Html::input('button', 'cancel', __('Cancel'), 'onclick="window.history.go(-1);"');
            echo Html::input('submit', 'submit', __('Upload'));
            ?>
            </td>
        </tr>
    </tfoot>
    <tbody>
        <tr>
            <td class="label"><?php _e('Language Name'); ?></td>
            <td class="entry">
            <?php
            echo Html::input('text', 'lang[name]', '', 
                '', $admin_addlang_form, 'RequiredTextbox', 
                __('Please input language name!'));
            ?>
            </td>
        </tr>
        <tr>
            <td class="label"><?php _e('Locale Code'); ?></td>
            <td class="entry">
            <?php
            echo Html::input('text', 'lang[locale]', '', 
                '', $admin_addlang_form, 'RequiredTextbox', 
                __('Please input locale code!'));
            ?>
            &nbsp;
            <a href="#"><?php _e('Help'); ?></a>
            </td>
        </tr>
        <tr>
            <td class="label"><?php _e('.MO file'); ?></td>
            <td class="entry">
            <?php
            echo Html::input('file', 'lang_file', '', 
                '', $admin_addlang_form, 'RequiredTextbox', 
                __('Please select a translation file to upload!'));
            ?>
            </td>
        </tr>
    </tbody>
</table>
<?php
$admin_addlang_form->close();
$admin_addlang_form->writeValidateJs();
?>